kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: aardvark-deployer-role
rules:
  # This role does only get access to the permissions actually needed.
  - apiGroups: [""]
    resources: ["serviceaccounts", "services", "configmaps"] # Add "persistentvolumeclaims" if used.
    verbs: ["create", "patch", "delete"]
  - apiGroups: ["apps"]
    resources: ["deployments"] # Add "statefulsets" if used.
    verbs: ["create", "patch", "delete"]
  - apiGroups: ["autoscaling"]
    resources: ["horizontalpodautoscalers"]
    verbs: ["create", "patch", "delete"]
  - apiGroups: ["route.openshift.io"]
    resources: ["routes", "routes/custom-host"]
    verbs: ["create", "patch", "delete"]
  # Uncomment following secion if cronjobs are used.
  #- apiGroups: ["batch"]
  #  resources: ["cronjobs"]
  #  verbs: ["create", "patch", "delete"]
  #- apiGroups: ["crossplane.jobtechdev.se"]
  #  resources: ["dnsrecords"]
  #  verbs: ["get", "create", "patch", "delete"]
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: deployer-to-aardvark-deployer-role
roleRef:
  kind: Role
  name: aardvark-deployer-role
  apiGroup: rbac.authorization.k8s.io
subjects:
  - kind: ServiceAccount
    # Namespace where the cicd jobs run, normally aardvark.
    namespace: aardvark-test
    name: deploy-bot
